/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts
 3/17/09  Fixed prototpyes to use Event_t
 ****************************************************************************/

#ifndef GamePlaySM_H
#define GamePlaySM_H

// Event Definitions
#include "SMEvents.h"

// typedefs for the states
// State definitions for use with the query function
typedef enum { Waiting, Playing, ReturnHome, GameOver } GamePlayState ;


// Public Function Prototypes

Event_t RunGamePlaySM( Event_t CurrentEvent );
void StartGamePlaySM ( );
GamePlayState QueryGamePlaySM ( void );
char QueryWaitingFlag ( void );
char QueryReturnHomeFlag ( void );
char GetSide( void );

#endif /*SMTemplate_H */

