/****************************************************************************
 Module
   d:\me218bTNG\Lectures\Lecture31\HierMuWave\Microwave.c

 Revision
   1.0.1

 Description
   This is the main() for the microwave oven.

 Notes

 History
 When           Who     What/Why
 -------------- ---     --------
 02/21/07 17:04 jec      converted to pass Event_t to Start...()
 02/20/07 21:37 jec      converted to use enumerated type for events
 02/21/05 15:38 jec      Began coding
****************************************************************************/
#include <stdio.h>
#include "GamePlaySM.h"
//#include "MW_ChkEvents.h"


void main (void)
{
    volatile Event_t StartupEvent = EV_ENTRY;
    (void)printf("Starting State Machine for The Never Ending Project. \n\r Poop");
    // Do any hardware system initialization
    InitPorts();
    InitPWM();
    InitTimers();
    InitConstants();
    
    // disable interrupts to make it possible to single step for demo
    // this ruins the timing functionality, so comment out to run for real
    //DisableInterrupts;
    // do the master state machine initialization
    StartCommunicationsSM();
    StartGamePlaySM ( );   
    // check for and handle events
    while (1)
    {
        RunGamePlaySM(Event);
    }
}
