//Movement header

//All functions built for insertion into a loop (ie: expect repeated calling)

//If function has completion trigger: 
//(ie: reaching a certain location, or sensor)
//will return 1 for still active, 0 for complete/inactive

char Rotating(int DeltaAngle);  //Rotates the input angle (in ticks)
char SettingAngle(int TargetAngle);  //Expects Target Angle in ticks, robot will turn to face it.
char DrivingTape(float Speed);  //Just say where on the tape it should walk 

int CalculateTargetAngle(void); //Returns Angle to Target

//Basic Wheel Controls
void LeftSpeed(char Duty);
void RightSpeed(char Duty);

//Even Lower level wheel controls, called by LeftSpeed and RightSpeed
void LeftFor(char);
void RightFor(char);
void LeftBack(char);
void RightBack(char);



char RotateToTargetFAKE(void);
