/****************************************************************************
 Module
   U:\_TeamSomething\WTN\RobotCode\RobotProjectcode\Sources\SM_MAIN.c

 Revision
   1.0.1

 Description
   This function begin the state machine structure for the robot.  And repeatedly calls
   the master state machine inside of an event checking while loop.
   
   The Basic idea is to position ourselves with the tape and use a priori knowledge
   of the target locations in order hit them with our primary cannon, which is fed by
   linear actuators

 Notes

 History
 When           Who     What/Why
 -------------- ---     --------
 02/18/10 6:16  Trevor   Personalized template for Waldo (my name for our robot of death, like in the children's books!)
 03/17/09 10:20 jec      added cast to return from RunTemplateSM() to quiet
                         warnings because now that function returns Event_t
 02/11/05 16:56 jec      Began coding
****************************************************************************/
#include <SMTemplate.h>

void main (void)
{
    // Do any hardware system initialization

    // do the master state machine initialization
    StartMasterSM();
    // check for and handle events
    while (1)
    {
        (void)RunMasterSM(CheckEvents());
    }
}
