/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts
 3/17/09  Fixed prototpyes to use Event_t
 ****************************************************************************/

#ifndef SPI_On_SM_H
#define SPI_On_SM_H

// Event Definitions
#include "SMEVENTS.h"

// typedefs for the states
// State definitions for use with the query function
typedef enum { QueryForActiveTarget, EnableIRBeacon, ReportBeaconStatus } SPI_On_State ;


// Public Function Prototypes

Event_t RunSPI_On_SM();
void StartSPI_On_SM ();
SPI_On_State QuerySPI_On_State ( void );
unsigned char GetCommandResponse(void);
//unsigned int GetTarget(void);

#endif /*SMTemplate_H */

