/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts

 ****************************************************************************/

#ifndef SMTemplate_H
#define SMTemplate_H

// Event Definitions
#include "SMEvents.h"

// typedefs for the states
// State definitions for use with the query function
typedef enum { RotateToShoot, Fire1, Fire2, SearchAndDestroyIdle } SearchAndDestroyState ;


// Public Function Prototypes
Event_t RunSearchAndDestroySM( Event_t CurrentEvent );
void StartSearchAndDestroySM (void);
SearchAndDestroyState QuerySearchAndDestroySM ( void );
char QueryAngleFlag ( void );


#endif /*SMTemplate_H */

