#define TestPlaying
/****************************************************************************
 Module
   d:\me218bTNG\Lectures\Lecture31\SMTemplateMain.c

 Revision
   1.0.1

 Description
   This is a template file for a main() implementing state machines.

 Notes

 History
 When           Who     What/Why
 -------------- ---     --------
 03/17/09 10:20 jec      added cast to return from RunTemplateSM() to quiet
                         warnings because now that function returns Event_t
 02/11/05 16:56 jec      Began coding
****************************************************************************/
#include "GamePlaySM.h"
#include "PlayingSM.h"
#include "Search_And_DestroySM.h"

#include "DeadReckoning.h"
#include "Sensors.h"
#include "Movement.h"

#include "Timers.h"
#include "PWM.h"
#include "InitPorts.h"
#include "Constants.h"

#include "ChkEvents.h"

#include "SPI.h"

#include <stdio.h>
#include "SMEVENTS.h"


#ifdef TestPlaying
void main (void)
{
    // Do any hardware system initialization

  (void)printf("Beginning the search and destroy.\n\r");
    InitPorts();
    InitPWM();
    InitTimers();
    InitConstants();
    SPIM_InitializeSPI();

    // do the master state machine initialization
    StartPlayingSM();
    //(void)printf("Sensor:  1  2  3  5  7  8  9\n\r");  
    
    // check for and handle events
    while (1)
    {
        //(void)printf(" Value:  %i  %i  %i  %i  %i  %i  %i\r\n", CheckTape(1), CheckTape(2), CheckTape(3), CheckTape(5), CheckTape(7), CheckTape(8), CheckTape(9));

        //GunSpeed(50);
        //CheckSPI();
        PositionMath();
        
        (void)RunPlayingSM(CheckEvents());
    }
}



#endif