  //#define WISIT

#include <hidef.h>      /* common defines and macros */
#include <mc9s12e128.h>     /* derivative information */
#include <stdio.h>
#include <ADS12.h> 
#include <stdlib.h>
#include <S12E128bits.h> /* E128 bit definitions  */
#include <bitdefs.h> /* BIT0HI, BIT0LO....definitions */
#include <stdlib.h>

//Custom module includes
#include "Timers.h"
#include "PWM.h"
#include "InitPorts.h"
#include "SPI.h"
#include "DeadReckoning.h"
#include "Movement.h"
#include "Sensors.h"
#include <string.h>
#include <ctype.h>


#ifdef WISIT
int CheckTapeOn(); 
int PreviousTapeStatus=0;

void main(void) 
{
    int InitiateTurn = 0;
    InitPorts();
    InitPWM();
    printf("Start main while loop\r\n");
    while(1) 
    {  
      unsigned int i;
       
      {
        // do nothing, delay time
      }
      InitiateTurn = CheckTapeOn();
      if (InitiateTurn == 3)
      { 
        RightSpeed(80);
        LeftSpeed(-80);
        
        for (i = 0; i < 10000; i++)  // Adjustable for turning time
        {
        }
        printf("done");
      
        /*
        // Try to go past the T
        while(CheckTapeOn2() == 3)
        {
          
        }
        
        switch (CheckTapeOn2())
        {
          case (
        
        */
        
        while (LookForCenterline != 1)
        {
          ;// do nothing
        }
          
        
        /*// rotate
        while(1)
        {
          RightSpeed(80);
          LeftSpeed(-80);
          if((PreviousTapeStatus != 0) && (CheckTapeOn2() == 0) && (CheckTape(8) == 1))
          {
            break;
          }
        }*/
      }
      //RightSpeed(100);
      //LeftSpeed(97);
      //RightSpeed(-100);
      //LeftSpeed(-97);
    }
}


int LookForCenterline()
{ 
  if(CheckTapeOn2() = 0)
  {
    return 1;
  }
}

int CheckTapeOn() 
{
    int TapeStatus;
    printf("CheckTapeOn is called\r\n");
    // black tape = 1, white = 0
    
    //TapeStatus = (int)CheckTape(1) + (int)CheckTape(2)*2 + (int)CheckTape(3)*4;
    TapeStatus = (int)CheckTape(7) + (int)CheckTape(9)*2;
    switch (TapeStatus) 
    {                   
      case (0):
        // go straight
        printf("State 0 go straight\r\n");
        RightSpeed(100);
        LeftSpeed(97);
        return 0;
        break;
      case (1): // veer right
        // move left
        printf("State 1 go left\r\n");
        RightSpeed(100);
        LeftSpeed(90);
        return 1;
        break;
      case (2):  // veer left
        // move right
        printf("State 2 go right\r\n");
        RightSpeed(88);
        LeftSpeed(97);
        return 2;
        break;
      case (3): // both on tape, turn 180
        // 
        printf("State 3 turn 180\r\n");
        //InitiateTurn = 1;
        //RightSpeed(80);
        //LeftSpeed(-80);
        return 3;
        break; 
    }
}


int CheckTapeOn2() 
{
    int TapeStatus2;
    
    printf("CheckTapeOn2 is called\r\n");
    // black tape = 1, white = 0
    
    //TapeStatus = (int)CheckTape(1) + (int)CheckTape(2)*2 + (int)CheckTape(3)*4;
    TapeStatus2 = (int)CheckTape(7) + (int)CheckTape(9)*2;
    PreviousTapeStatus = TapeStatus2;
    switch (TapeStatus2) 
    {                   
      case (0):
        // go straight
        printf("State 0 go straight\r\n");
        return 0;
        break;
      case (1): // veer right
        // move left
        printf("State 1 go left\r\n");
        return 1;
        break;
      case (2):  // veer left
        // move right
        printf("State 2 go right\r\n");
        return 2;
        break;
      case (3): // both on tape, turn 180
        // 
        printf("State 3 turn 180\r\n");
        return 3;
        break; 
    }
    
}


//Internal Functions
/*
void CheckTapeOn() 
{
    int TapeStatus;
    
    // white = +5, black = 0
    // white = 1, black tape = 0
    
    TapeStatus = (int)CheckTape(1) + (int)CheckTape(2)*2 + (int)CheckTape(3)*4;
    switch (TapeStatus) 
    {                   
      case (0): // all white, 180 deg turn
      // 180 deg turn
        LeftSpeed(100);
        RightSpeed(-100);
        break;
      case (1): // veer right
        // move left
        LeftSpeed(-100);
        RightSpeed(100);
        break;
      case (2):  // might not ever happen
        LeftSpeed(-100);
        RightSpeed(100);
        break;
      case (3): // veer right
        // move left
        LeftSpeed(-100);
        RightSpeed(100);
        break;
      case (4): // veer left 
        // move right
        LeftSpeed(100);
        RightSpeed(-100);
        break;
      case (5): // might not be possible
        LeftSpeed(100);
        RightSpeed(100);
        break;
      case (6): // veer left
        // move right
        LeftSpeed(100);
        RightSpeed(-100);
        break;
      case (7): // all black, straight
        LeftSpeed(100);
        RightSpeed(100);
        break;  
    }
}
*/
#endif