/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts

 ****************************************************************************/

#ifndef CommunicationsSM
#define CommunicationsSM

// Event Definitions
#include "CommunicationsSM.h"
#include "SMEVENTS.h"



// typedefs for the states
// State definitions for use with the query function
typedef enum { SPI_ON, SPI_OFF} Communications_State;


// Public Function Prototypes
Event_t RunCommunicationsSM( Event_t CurrentEvent );
void StartCommunicationsSM (void);
Communications_State QueryCommunicationsSM ( void );

#endif /*SMTemplate_H */