#include <hidef.h>      /* common defines and macros */
#include <mc9s12e128.h>     /* derivative information */
#include <stdio.h>
#include <ADS12.h> 
#include <stdlib.h>
#include <S12E128bits.h> /* E128 bit definitions  */
#include <bitdefs.h> /* BIT0HI, BIT0LO....definitions */
#include <stdlib.h>


#include "Constants.h"

//Module level declarations
Location Target[18];

//Defines array of target locations for easy access
void InitConstants(void)
{
  Target[0].x = TARGET0X;  
  Target[0].y = TARGET0Y;  

  Target[1].x = TARGET1X;  
  Target[1].y = TARGET1Y; 

  Target[2].x = TARGET2X;  
  Target[2].y = TARGET2Y; 

  Target[3].x = TARGET3X;  
  Target[3].y = TARGET3Y; 

  Target[4].x = TARGET4X;  
  Target[4].y = TARGET4Y; 

  Target[5].x = TARGET5X;  
  Target[5].y = TARGET5Y; 

  Target[6].x = TARGET6X;  
  Target[6].y = TARGET6Y; 

  Target[7].x = TARGET7X;  
  Target[7].y = TARGET7Y; 

  Target[8].x = TARGET8X;  
  Target[8].y = TARGET8Y; 

  Target[9].x = TARGET9X;  
  Target[9].y = TARGET9Y; 

  Target[10].x = TARGET10X;  
  Target[10].y = TARGET10Y; 

  Target[11].x = TARGET11X;  
  Target[11].y = TARGET11Y; 

  Target[12].x = TARGET12X;  
  Target[12].y = TARGET12Y; 

  Target[13].x = TARGET13X;  
  Target[13].y = TARGET13Y; 

  Target[14].x = TARGET14X;  
  Target[14].y = TARGET14Y; 

  Target[15].x = TARGET15X;  
  Target[15].y = TARGET15Y; 
  
  Target[16].y = RED_BASE_Y;
  Target[16].x = RED_BASE_X;
  
  Target[17].y = GREEN_BASE_Y;
  Target[17].x = GREEN_BASE_X;
}


Location GetTargetLocation(char TargetNumber)
{
  return Target[TargetNumber];
}