/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts

 ****************************************************************************/

#ifndef FiringSM_H
#define FiringSM_H

// Event Definitions
#include "SMEVENTS.h"
#include "Gun.h"

// State definitions for use with the query function
typedef enum { FIRING_ACTIVE, FIRING_IDLE } FiringState ;

// Public Function Prototypes

Event_t RunFiringSM( Event_t CurrentEvent );
void StartFiringSM ( void );
FiringState QueryFiringSM ( void );
char QueryFireFlag ( void );


#endif /*MW_MagControl_H */

