#define TestGamePlay
/****************************************************************************
 Module
   d:\me218bTNG\Lectures\Lecture31\SMTemplateMain.c

 Revision
   1.0.1

 Description
   This is a template file for a main() implementing state machines.

 Notes

 History
 When           Who     What/Why
 -------------- ---     --------
 03/17/09 10:20 jec      added cast to return from RunTemplateSM() to quiet
                         warnings because now that function returns Event_t
 02/11/05 16:56 jec      Began coding
****************************************************************************/
#include "GamePlaySM.h"
#include "PlayingSM.h"
#include "Search_And_DestroySM.h"
#include "ReturnHomeSM.h"


#include "DeadReckoning.h"
#include "Sensors.h"
#include "Movement.h"

#include "Timers.h"
#include "PWM.h"
#include "InitPorts.h"
#include "Constants.h"
#include "SPI.h"
#include "ChkEvents.h"
#include "Movement.h"

#include <stdio.h>


#ifdef TestGamePlay
void main (void)
{
    // Do any hardware system initialization

  (void)printf("Beginning Game Play Module.\n\r");
    InitPorts();
    InitPWM();
    InitTimers();
    InitConstants();
    SPIM_InitializeSPI();


    // do the master state machine initialization
    StartGamePlaySM();
    // check for and handle events
    while (1)
    {
        //(void)printf(" Value:  %i  %i  %i  %i  %i  %i  %i\r\n", CheckTape(1), CheckTape(2), CheckTape(3), CheckTape(5), CheckTape(7), CheckTape(8), CheckTape(9));

        PositionMath();
        //(void)RunGamePlaySM(TestCheckEvents()); 
        //PositionMath();
        (void)RunGamePlaySM(CheckEvents());
    }
}


#endif