/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts
 3/17/09  Fixed prototpyes to use Event_t
 ****************************************************************************/

#ifndef PlayingSM_H
#define PlayingSM_H

// Event Definitions
#include "SMEvents.h"

// typedefs for the states
// State definitions for use with the query function
typedef enum { FindTape, AlignTape, FindTIntersect, SearchAndDestroy } PlayingState ;


// Public Function Prototypes

Event_t RunPlayingSM( Event_t CurrentEvent );
void StartPlayingSM ( void );
PlayingState QueryPlayingSM ( void );
char QueryTapeFoundFlag ( void );
char QueryTapeAlignedFlag ( void );
char QueryTIntersectFlag ( void );

#endif /*SMTemplate_H */

