/****************************************************************************
 Template header file for Hierarchical Sate Machines AKA StateCharts
 3/17/09  Fixed prototpyes to use Event_t
 ****************************************************************************/

#ifndef ReturnHomeSM_H
#define ReturnHomeSM_H

// Event Definitions
#include "SMEVENTS.h"


// typedefs for the states
// State definitions for use with the query function
typedef enum { RotateHome, GoHome, AlignTapeHome, FindTIntersectHome, CoastHome, GameOver_Home } ReturnHomeState;


// Public Function Prototypes

Event_t RunReturnHomeSM( Event_t CurrentEvent );
void StartReturnHomeSM ( void);
ReturnHomeState QueryReturnHomeSM ( void );
char QueryTapeAlignedHomeFlag ( void );
char QueryTIntersectHomeFlag ( void );
char QueryReachHomeFlag ( void );


#endif /*SMTemplate_H */

