/****************************************************************************
 Header file for defining Events
 Note: the first 3 entries are assumed by the template code. The rest are
 completely implementation defined.
 ****************************************************************************/
#ifndef SMEvents_H
#define SMEvents_H


//static char SpeedSet;

// Universal events take up 0,1 & 2. User Events start at 3
typedef enum {  EV_NO_EVENT,
                EV_ENTRY,
                EV_EXIT,
                EV_NEW_TARGET,
                EV_HIT_TARGET,
                EV_ARRIVED,
                EV_GAME_START,
                EV_GAME_OVER,
                EV_TAPE1,
                EV_TAPE2,
                EV_TAPE3,
                EV_TAPE5,
                EV_IR,
                EV_HIT,
                

                EV_ROTATE_DONE,
                EV_BALL_IS_RELEASED,
                EV_TARGET_HIT,
                EV_TARGET_MISSED,
                EV_TAPE_FOUND,
                EV_TAPE_ALIGNED,
                EV_TIntersect_FOUND,
                
                EV_START_GAME,
                EV_RETURN_HOME,
                EV_REACH_HOME,
                EV_GOT_HOME,
                EV_ROTATE_HOME,
                

                EV_RECIEVED_TARGET ,
                 EV_BEACON_INNACTIVE ,
                  EV_BEACON_ACTIVE_NOT_ILLUM,
                 EV_BEACON_ACTIVE_ILLUM ,
                     EV_BEACON_HIT  ,
                     EV_GAME_NOT_STARTED  ,
                       EV_GAME_OVER_RED_WINS,
                     EV_GAME_OVER_GREEN_WINS,
                   EV_OFFLINE,                 
                   EV_COMMANDER_BUSY,
                   
                EV_TAPE_ALIGNED_HOME,
                EV_TIntersect_FOUND_HOME
 
             } Event_t;

#endif /*SMEvents_H */
